4Suite™ API Documentation

# ► Module Ft.Xml.XPointer.XPointer

A Parsed Token that represents a list of XPointers WWW: http://4suite.org/XPointer e-mail: support@4suite.org

    Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
    See  http://4suite.org/COPYRIGHT  for license and copyright information

Classes: ElementScheme, Pointer, PointerPart, SchemeBased, Shorthand, XPointerScheme, XmlnsScheme |  |  |  | Functions: Scheme |  |  |  | Globals: Schemes, XMLNS_NAMESPACE, XML_NAMESPACE

## Classes

class ElementScheme(PointerPart)
  Implementation of XPointer element() scheme.

  ### Methods

  __init__(self, name, data)
    Overrides: __init__ from class PointerPart
  __repr__(self)
    Overrides: __repr__ from class PointerPart
  evaluate(self, context)
    Overrides: evaluate from class PointerPart

  ### Methods inherited from class PointerPart

  __str__, pprint
class Pointer

  ### Methods

  __repr__(self)
  __str__(self)
  pprint(self, indent='')
class PointerPart(Pointer)
  Implementation of an unsupported XPointer scheme.

  ### Methods

  __init__(self, name, data)
    # The constructor is not needed by subclasses
  __repr__(self)
    Overrides: __repr__ from class Pointer
  __str__(self)
    Overrides: __str__ from class Pointer
  evaluate(self, context)
  pprint(self, indent='')
    Overrides: pprint from class Pointer
class SchemeBased(Pointer)

  ### Methods

  __init__(self, parts)
  __repr__(self)
    Overrides: __repr__ from class Pointer
  pprint(self, indent='')
    Overrides: pprint from class Pointer
  select(self, context)

  ### Methods inherited from class Pointer

  __str__
class Shorthand(Pointer)

  ### Methods

  __init__(self, identifier)
  __repr__(self)
    Overrides: __repr__ from class Pointer
  select(self, context)

  ### Methods inherited from class Pointer

  __str__, pprint
class XPointerScheme(PointerPart)
  Implementation of XPointer xpointer() scheme.

  ### Methods

  __init__(self, name, data)
    Overrides: __init__ from class PointerPart
  __repr__(self)
    Overrides: __repr__ from class PointerPart
  evaluate(self, context)
    Overrides: evaluate from class PointerPart
  pprint(self, indent='')
    Overrides: pprint from class PointerPart

  ### Methods inherited from class PointerPart

  __str__
class XmlnsScheme(PointerPart)
  Implementation of XPointer xmlns() scheme.

  ### Methods

  __init__(self, name, data)
    Overrides: __init__ from class PointerPart
  __repr__(self)
    Overrides: __repr__ from class PointerPart
  evaluate(self, context)
    Overrides: evaluate from class PointerPart

  ### Methods inherited from class PointerPart

  __str__, pprint

## Functions

Scheme(name, data)

## Globals

Schemes = {'element': <class Ft.Xml.XPointer.XPointer.ElementScheme>, 'xmlns': <class Ft.Xml.XPointer.XPointer.XmlnsScheme>, 'xpointer': <class Ft.Xml.XPointer.XPointer.XPointerScheme>}
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
XML_NAMESPACE = u'http://www.w3.org/XML/1998/namespace'